Bug 170085 - Palm PDA device files are not created
Palm PDA device files are not created
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-06 23:16 EDT by Florin Andrei
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 21:44:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2005-10-06 23:16:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
My PDA is a Handspring Visor Platinum running PalmOS 3.5.2
I am syncing it to the computer over a USB cradle.
The computer is running FC4 fully updated via yum.

When pushing the sync button on the cradle, no PDA device files are created in /dev. There's no /dev/pilot, no /dev/ttyUSB*, nothing.
I have to create myself every time these files, which is annoying:

crw-rw----  1 root uucp 188, 0 Oct  2 19:23 ttyUSB0
crw-rw----  1 root uucp 188, 1 Oct  2 19:23 ttyUSB1

Then I configured JPilot to use /dev/ttyUSB1 and it works fine.

What's weird is that, after completing the sync, the ttyUSB* files are deleted! So, obviously "something" is aware of these files, it does not create them, but deletes them every time, therefore making the problem worse.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.see above

Actual Results:  JPilot fails because there are no /dev entries related to the PDA.

Expected Results:  /dev entires for the PDA should be created automatically when pushing the sync button on the cradle.
It is irrelevant whether they're deleted again after completing the sync. I'd rather not delete them if I could have a choice.

Additional info:

Just venting: support for external devices got only worse from FC2 to FC4. The PDA, the digital camcorder (FireWire device), everything needs all kinds of hacks in order to work. It was supposed to be plug and play (and it was, with FC2)...

OK, the rant is over. If you need more info, let me know.

I'll file a separate bug report for the camcorder if I get some more spare time.
Comment 1 Harald Hoyer 2005-10-07 10:45:56 EDT
hmm, please attach your palm and give me the output of:

# find /sys -name dev
Comment 2 Florin Andrei 2005-10-07 22:50:24 EDT
I updated to udev-058-1.0.FC4.1
Let me do the test that you requested...
Comment 3 Florin Andrei 2005-10-07 22:52:00 EDT
# find /sys -name dev
Comment 4 Harald Hoyer 2005-10-10 03:21:38 EDT
Hmm, then there has to be a /dev/ttyUSB0 and /dev/ttyUSB1 device. This works for
other people also. 
But if you press the "sync" button, the Palm reconnects to the USB Bus, the
kernel sends a "remove" event and the devices are deleted by udev. Works as
expected, from the udev view.
Comment 5 Dave Jones 2005-11-10 14:19:06 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 6 Dave Jones 2006-02-03 00:22:52 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 21:44:24 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.